Debian Bug report logs - #380250
RM: toolchain-source -- RoM/RoQA; obsolete, superseded

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Tyler MacDonald <tyler@yi.org>

Date: Fri, 28 Jul 2006 17:33:06 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Hakan Ardo <hakan@debian.org>:
Bug#380250; Package toolchain-source. Full text and rfc822 format available.

Acknowledgement sent to Tyler MacDonald <tyler@yi.org>:
New Bug report received and forwarded. Copy sent to Hakan Ardo <hakan@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tyler MacDonald <tyler@yi.org>
To: submit@bugs.debian.org
Cc: Nathanael Nerode <neroden@fastmail.fm>, debian-devel@lists.debian.org
Subject: tpkg-debarch should support "arm-linux-gnu" target (was Re: small quirks setting up a cross-compile toolchain)
Date: Fri, 28 Jul 2006 10:15:26 -0700
[Message part 1 (text/plain, inline)]
Package: toolchain-source
Severity: grave
Tags: patch

toolchain-source as it stands is currently unusable for building ARM
cross-compiler targets. It appears that you must specify "arm-linux-gnu" to
several of the builds in order to get the install to work correctly.
However, this target is not supported by tpkg-debarch. The attached patch is
not a complete solution, but it at least makes it *possible* to build for
arm again (so long as you use the magic "arm-linux-gnu" incantation).

Nathanael Nerode <neroden@fastmail.fm> wrote:
> See, there's your problem.  Try:
> tpkg-make arm-linux-gnu
> TPKG_SERVER=ftp.yi.org tpkg-install-libc arm-linux-gnu
> 
> And you should end up with only arm-linux-gnu.
> 
> For obscure reasons (which I would like to get rid of), some parts of the 
> cross-tools structure care about exactly what form of the system name you 
> give to the tools, while others use the canonical name.
> 
> If you still end up with two different things.... come back and complain to 
> whoever's generating arm-linux.

Okay, so when I did that, I would get this message every so often:

"Hmph - dunno the arm-linux-gnu arch"

... and then eventually:

http://ftp.yi.org/debian/dists/testing/main/binary-none/Packages.gz
           => /tmp/tpkg-install-libc.CMosC11963/packageset.gz'
Resolving ftp.yi.org... 209.172.55.241
Connecting to ftp.yi.org|209.172.55.241|:80... connected.
HTTP request sent, awaiting response... 404 Not Found
09:49:26 ERROR 404: Not Found.

binary-none, eh?

Sooooo I added "arm-linux-gnu" to tpkg-debarch, and that made it work!!!

[tpkg-debarch.patch (text/plain, attachment)]

Changed Bug title. Request was from Simon Richter <sjr@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal' from `grave' Request was from Simon Richter <sjr@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `toolchain-source' to `ftp.debian.org'. Request was from Simon Richter <sjr@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#380250; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #16 received at 380250@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@fastmail.fm>
To: control@bugs.debian.org, 380250@bugs.debian.org
Subject: Retitling this RM
Date: Sun, 10 Sep 2006 03:54:22 -0400
retitle 380250 RM: toolchain-source -- RoM/RoQA; obsolete, superseded
thanks

The request comes from the "Emdebian" people.  They were taking over as the
new maintenance team; the previous maintainer had RFA'ed it (but actually had
effectively orphaned it.)

I quote Simon Richter:

>during the emdebian meeting in Extremadura it was decided that
>toolchain-source should be replaced by adding the relevant functionality
>to the toolchain packages themselves. This has now largely happened, so
>this package is no longer required.


-- 
Nathanael Nerode  <neroden@fastmail.fm>

"(Instead, we front-load the flamewars and grudges in
the interest of efficiency.)" --Steve Lanagasek,
http://lists.debian.org/debian-devel/2005/09/msg01056.html



Changed Bug title. Request was from Nathanael Nerode <neroden@fastmail.fm> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: patch Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tyler MacDonald <tyler@yi.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 380250-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 380250-close@bugs.debian.org
Cc: toolchain-source@packages.debian.org, toolchain-source@packages.qa.debian.org
Subject: Bug#380250: fixed
Date: Sat, 23 Dec 2006 11:48:41 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

toolchain-source |      3.4-5 | source, all
toolchain-source-gdb |      3.4-5 | all
toolchain-source-newlib |      3.4-5 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 380250@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Anthony Towns (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 07:03:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:23:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.